<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <script src="https://unpkg.com/vue@next"></script>
    <title>ToDo List</title>
</head>

<body>
    <div id="app">
        <h1>ToDo App</h1>
        <form v-on:submit.prevent="addTodo()">
            <label>New ToDo</label>
            <input type="text" v-model="content" />
            <button>Add ToDo</button>
        </form>

        <h2>ToDo List({{todos.length}})</h2>
        <ul>
            <li v-for="(todo, index) in todos">

                <!-- <span v-if="todo.done" style="text-decoration: line-through;" @click="doIt(todo)">{{todo.content}}</span>
                <span v-else @click="doIt(todo)">{{todo.content}}</span> -->
                <span :class="{ done : todo.done, notDone:!todo.done}" @click="doIt(todo)">{{todo.content}}</span>
                <button @click="removeTodo(index)">X</button>
            </li>
        </ul>
    </div>
    <script>
        const App = {
            data() {
                return {
                    todos: [{
                        content: "กินข้าว",
                        done: false,
                    }, {
                        content: "อ่านหนังสือ",
                        done: true,
                    }, ],
                    content: "",
                };
            },
            methods: {
                addTodo() {
                    //console.log(this.content); // DEBUG
                    this.todos.push({
                        content: this.content,
                        done: false,
                    });
                    this.content = "";
                },
                removeTodo(index) {
                    this.todos.splice(index, 1)
                },
                doIt(todo) {
                    todo.done = !todo.done
                    console.log(todo)
                }
            },
        };
        Vue.createApp(App).mount("#app");
    </script>
    <style>
        .done {
            text-decoration: line-through;
            color: gray;
        }
        
        .notDone {
            color: blue;
        }
    </style>
</body>

</html>